weka.classifiers.evaluation.output.prediction

## Class Null

- java.lang.Object
- - weka.classifiers.evaluation.output.prediction.AbstractOutput
  - - weka.classifiers.evaluation.output.prediction.Null

- All Implemented Interfaces:
    java.io.Serializable, OptionHandler

      public class Null
      extends AbstractOutput

  Suppresses all output.

  Valid options are:

       -p <range>
        The range of attributes to print in addition to the classification.
        (default: none)

       -distribution
        Whether to turn on the output of the class distribution.
        Only for nominal class attributes.
        (default: off)

       -decimals <num>
        The number of digits after the decimal point.
        (default: 3)

       -file <path>
        The file to store the output in, instead of outputting it on stdout.
        Gets ignored if the supplied path is a directory.
        (default: .)

       -suppress
        In case the data gets stored in a file, then this flag can be used
        to suppress the regular output.
        (default: not suppressed)

  Version:
    $Revision: 8937 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Null()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `generatesOutput()` Returns always false.
    `java.lang.String` | `getDisplay()` Returns a short display text, to be used in comboboxes.
    `java.lang.String` | `globalInfo()` Returns a string describing the output generator.

    - ### Methods inherited from class weka.classifiers.evaluation.output.prediction.AbstractOutput

      `attributesTipText, fromCommandline, getAttributes, getBuffer, getDefaultNumDecimals, getHeader, getNumDecimals, getOptions, getOutputDistribution, getOutputFile, getSuppressOutput, listOptions, numDecimalsTipText, outputDistributionTipText, outputFileTipText, print, print, printClassification, printClassification, printClassifications, printClassifications, printFooter, printHeader, setAttributes, setBuffer, setHeader, setNumDecimals, setOptions, setOutputDistribution, setOutputFile, setSuppressOutput, suppressOutputTipText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Null

          public Null()

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Returns a string describing the output generator.
      Specified by:
        `globalInfo` in class `AbstractOutput`
      Returns:
        a description suitable for displaying in the GUI

    - #### getDisplay

          public java.lang.String getDisplay()

      Returns a short display text, to be used in comboboxes.
      Specified by:
        `getDisplay` in class `AbstractOutput`
      Returns:
        a short display text

    - #### generatesOutput

          public boolean generatesOutput()

      Returns always false.
      Overrides:
        `generatesOutput` in class `AbstractOutput`
      Returns:
        always false